package com.fdage.service;

import com.fdage.pojo.TbRole;
import com.fdage.pojo.TbUser;
import com.fdage.request.RequestUser;
import com.fdage.respon.ResponUser;

import java.util.List;
import java.util.Set;

/**
 * Created by Hb_zzZ on 2019/9/11.
 */
public interface IUserService {

    TbUser findByUserName(String userName);

    int insert(TbUser user);

    int update(TbUser user);

    int delete(Long id);

    TbUser findById(Long id);

    List<ResponUser> findUserList(RequestUser bo);

    List<TbRole> roleList();

    Set<Long> findUserRoleByUserId(Long userId);

    List<String> findRoleByUserId(Long id);
}
